/*
 * ActForm JS - interactivity for act form
 * */
let ActForm = {
  form: null,
  container: null,
  allSelectedElement: null,

  init(formElement) {
    ActForm.form = formElement;
    ActForm.container = document.getElementById("subdivisions_form_group");
    ActForm.allSelectedCheckbox = document.getElementById("act_all_subdivisions");
    ActForm.containerInputs = Array.from(ActForm.container.getElementsByClassName("form-check-input"));

    if (ActForm.allSelectedCheckbox.checked) {
      ActForm.checkAll();
    }

    ActForm.containerInputs.forEach(function(checkbox) {
      checkbox.addEventListener("change", ActForm.subdivisionCheckedCallback)
    });
  },

  subdivisionCheckedCallback(event) {
    if (event.target.id === ActForm.allSelectedCheckbox.id) {
      if (event.target.checked) {
        ActForm.checkAll()
      }
    } else {
      ActForm.allSelectedCheckbox.checked = false
    }
  },

  checkAll() {
    ActForm.containerInputs.forEach(function(checkbox) {
      checkbox.checked = true;
    })
  }
}

export default ActForm;
