import $ from "jquery";

// NOTE: jQuery used.

let ActivityPhotosCarousel = {
  init(photosContainersSelector) {
    let carouselModal = $("#photoCarouselModal");
    let carousel = carouselModal.find(".carousel");

    $(photosContainersSelector).each(function(index) {
      $(this).on("click", function(event) {
        let photosContainer = carousel.find(".carousel-inner");
        let indicatorsContainer = carousel.find(".carousel-indicators");

        // remove current photos and indicators
        photosContainer.find(".carousel-item").remove();
        indicatorsContainer.find("li").remove();

        // append new photos and indicators
        $(this).find(".figure").each(function(index) {
          photosContainer.append(ActivityPhotosCarousel.createPhoto(this.dataset.imageUrl, this.dataset.caption));
          indicatorsContainer.append(ActivityPhotosCarousel.createIndicator(carousel, 0));
        });

        // set active photo
        carousel.find(".carousel-indicators li").first().addClass("active");
        carousel.find(".carousel-item").first().addClass("active");

        $(carouselModal).modal();
      });
    })
  },

  createPhoto(url, captionText) {
    let img = document.createElement("img")
    let caption = document.createElement("div");
    let photo = document.createElement("div");

    img.setAttribute("src", url)
    // img.classList.add("d-block");

    caption.classList.add("carousel-caption");
    // caption.classList.add("d-none");
    // caption.classList.add("d-md-block");
    caption.innerHTML = "<h5>"+captionText+"</h5>";

    photo.classList.add("carousel-item");
    photo.appendChild(img);
    photo.appendChild(caption);

    return photo;
  },

  createIndicator(container, n) {
    let item = document.createElement("li");

    item.dataset.target = "#"+container.id;
    item.dataset.slideTo=n;

    return item;
  },

  setActiveSlide(container, n) {
  }

}

export default ActivityPhotosCarousel;
