/*
 * Inputs of type date handling
 * If the browser has support for date fields, hide help text
 * otherwise change input content from yyyy-mm-dd to dd/mm/yyyy
 *
 * Reference: https://developer.mozilla.org/en-US/docs/Web/HTML/Element/input/date
 * */
let DateInputs = {
  init() {
    this.check_date_fields();
  },

  check_date_fields() {
    Array.from(document.querySelectorAll("[type=date]")).forEach(function(dateInput) {
      if (dateInput.type === "date") {
        let helpTexts = Array.from(dateInput.parentElement.getElementsByClassName("input-help-text"));
        helpTexts.forEach(function(ht) {
          ht.classList.add("hidden");
        })
      } else {
        if (/\d-\d/.test(dateInput.value)) {
          let [y,m,d] = dateInput.value.split("-");
          dateInput.value= [d,m,y].join("/");
        }
      }
    });
  }
}


export default DateInputs;
