# This file is responsible for configuring your application
# and its dependencies with the aid of the Mix.Config module.
#
# This configuration file is loaded before any dependency and
# is restricted to this project.

# General application configuration
use Mix.Config

config :ogp_euskadi,
  ecto_repos: [OgpEuskadi.Repo]

# Configures the endpoint
config :ogp_euskadi, OgpEuskadiWeb.Endpoint,
  url: [host: "localhost"],
  secret_key_base: "a7rK8Suassa9L8imuTQTOJzFlJ9YMtdQHxB38nkUuuFSv0Plm9q9OFt13PLbn9aQ",
  render_errors: [view: OgpEuskadiWeb.ErrorView, accepts: ~w(html json)],
  pubsub_server: OgpEuskadi.PubSub

# LiveView
config :ogp_euskadi, OgpEuskadiWeb.Endpoint,
  live_view: [
    signing_salt: "1SASgzzJ+Zgz3HGG5JzDXSHePaEeI7dD"
  ]

# Configures Elixir's Logger
config :logger,
  backends: [{LoggerFileBackend, :log_1}, :console],
  format: "$date $time $metadata[$level] $message\n"

# Use Jason for JSON parsing in Phoenix
config :phoenix, :json_library, Jason

# Use Gettext for i18n
config :ogp_euskadi, OgpEuskadiWeb.Gettext, default_locale: "es", locales: ["eu", "es"]

# Arc config
config :arc,
  storage: Arc.Storage.Local,
  storage_dir: "uploads"

# Triplex config (https://hexdocs.pm/triplex/Triplex.Config.html#content)
config :triplex,
  tenant_prefix: "ogpe_", # prefix for the schema names
  repo: OgpEuskadi.Repo

# Timezones DB
config :elixir, :time_zone_database, Tzdata.TimeZoneDatabase

# Guardian config
config :ogp_euskadi, OgpEuskadi.Auth.Guardian,
  issuer: "ogp_euskadi_api",
  secret_key: "cAGZttKKe5k9iY5OD2QhXKDpKnBm5B94FP/u26Xu639syVQsmJ/CRZ1qXv7eCGAa"

# Bamboo Mailer shared config
config :ogp_euskadi, OgpEuskadiWeb.Mailer,
  application_name: "OGP Euskadi",
  to: "eli@efaber.net",
  from: "soporte@efaber.net"

# Import environment specific config. This must remain at the bottom
# of this file so it overrides the configuration defined above.
import_config "#{Mix.env()}.exs"
