use Mix.Config

# We don't run a server during test. If one is required,
# you can enable the server option below.
config :ogp_euskadi, OgpEuskadiWeb.Endpoint,
  http: [port: 4002],
  server: true # set up Phoenix to serve endpoints in tests

# Print only warnings and errors during test
config :logger, level: :warn
#config :logger, level: :debug

# Configure your database
config :ogp_euskadi, OgpEuskadi.Repo,
  database: "ogp_euskadi_test",
  hostname: "localhost",
  pool: Ecto.Adapters.SQL.Sandbox

# Do not config basic auth!
# It is not possible to set basic auth with wallaby out of the box :( 

# Bamboo mailer config - for tests we are using TestAdapter
# The test adapter sends emails to your running process allowing you to test mail delivery without emails being sent externally.
# https://hexdocs.pm/bamboo/readme.html
config :ogp_euskadi, OgpEuskadiWeb.Mailer,
  adapter: Bamboo.TestAdapter
# Config timeout for tests
config :bamboo, :refute_timeout, 10

# Arc config
config :arc,
  storage: Arc.Storage.Local,
  storage_dir: "test_uploads"


# Wallaby test config (https://github.com/elixir-wallaby/wallaby)
# enable SQL sandbox.
config :ogp_euskadi, :sql_sandbox, true

# Chrome config (https://hexdocs.pm/wallaby/Wallaby.Chrome.html#content)
config :wallaby,
  driver: Wallaby.Chrome,
  chromedriver: [ headless: false ]
