defmodule Mix.Tasks.Ogpe do
  use Mix.Task

  alias OgpEuskadi.Repo

  alias OgpEuskadi.Plan.Act
  alias OgpEuskadi.Monitoring

  @shortdoc "Set acts.last_activity_date using act activities"
  @moduledoc """
    Sets acts.last_activity_date for each tenant using act's activity list.
  """
  def run([what]) do
    Mix.Task.run("app.start")
    cond do
      what == "update_acts_last_activity_date" ->
        Triplex.all
        |> Enum.map(fn prefix ->
          Act
          |> Repo.all(prefix: prefix)
          |> Enum.map(fn act ->
            {code, act_monitoring} =
              Monitoring.get_act_monitoring!(act.id, prefix)
              |> Monitoring.update_act_monitoring()

            IO.puts "Update last activity date for #{prefix} act #{act.id}, res #{code}"
          end)
        end)
      true ->
        IO.puts "Unknown atribute --#{inspect(what)}--. Available values: update_acts_last_activity_date"
    end
  end
end

