defmodule OgpEuskadi.Accounts.User do
  use Ecto.Schema
  import Ecto.Changeset

  alias OgpEuskadi.Accounts.Credential

  schema "users" do
    field :username, :string
    has_one :credential, Credential
    timestamps()
  end

  def changeset(user, attrs) do
    user
    |> cast(attrs, [:username])
    |> validate_required([:username])
    |> validate_length(:username, min: 1, max: 30)
    |> unique_constraint(:username)
  end
end
