defmodule OgpEuskadi.Application do
  # See https://hexdocs.pm/elixir/Application.html
  # for more information on OTP Applications
  @moduledoc false

  use Application

  def start(_type, _args) do
    # List all child processes to be supervised
    children = [
      # Start the Ecto repository
      OgpEuskadi.Repo,
      # # Start the Telemetry supervisor
      OgpEuskadiWeb.Telemetry,
      # Start the PubSub system
      {Phoenix.PubSub, name: OgpEuskadi.PubSub},
      # Start the endpoint when the application starts
      OgpEuskadiWeb.Endpoint,
      # Starts a worker by calling: OgpEuskadi.Worker.start_link(arg)
      # {OgpEuskadi.Worker, arg},
    ]

    # See https://hexdocs.pm/elixir/Supervisor.html
    # for other strategies and supported options
    opts = [strategy: :one_for_one, name: OgpEuskadi.Supervisor]
    Supervisor.start_link(children, opts)
  end

  # Tell Phoenix to update the endpoint configuration
  # whenever the application is updated.
  def config_change(changed, _new, removed) do
    OgpEuskadiWeb.Endpoint.config_change(changed, removed)
    :ok
  end
end
