defmodule OgpEuskadi.Archive.Photo do
  use Ecto.Schema
  use Arc.Ecto.Schema
  use OgpEuskadi.Translator, translates: [:caption]

  import Ecto.Changeset

  alias OgpEuskadi.Accounts.User
  alias OgpEuskadi.Monitoring.Activity

  schema "photos" do
    field :image, OgpEuskadi.Photo.Type
    field :caption_es, :string
    field :caption_eu, :string

    field :caption, :string, virtual: true

    belongs_to :activity, Activity
    belongs_to :user, User

    timestamps()
  end

  @doc false
  def changeset(photo, attrs) do
    photo
    |> cast(attrs, [:caption_es, :caption_eu, :activity_id])
    |> cast_attachments(attrs, [:image])
    |> validate_required([:image, :activity_id])
  end
end
