defmodule OgpEuskadi.Auth.ApiKey do
  use Ecto.Schema
  import Ecto.Changeset

  schema "api_keys" do
    field :client, :string
    field :key, :string
    belongs_to :entity, OgpEuskadi.Site.Entity

    timestamps()
  end

  @doc false
  def changeset(api_key, attrs) do
    api_key
    |> cast(attrs, [:key, :client])
    |> validate_required([:key, :client])
  end
end
