# Guardian implementation module
# https://github.com/ueberauth/guardian
defmodule OgpEuskadi.Auth.Guardian do
  use Guardian, otp_app: :ogp_euskadi

  alias OgpEuskadi.Auth

  def subject_for_token(resource, _claims) do
    # IO.puts "-------------------"
    # IO.inspect resource
    # IO.puts "-------------------"
    sub = to_string(resource.id)
    {:ok, sub}
  end

  def subject_for_token(_, _) do
    {:error, :reason_for_error}
  end

  def resource_from_claims(claims) do
    id = claims["sub"]
    resource = Auth.get_resource_by_id(id)
    {:ok,  resource}
  end

  def resource_from_claims(_claims) do
    {:error, :reason_for_error}
  end
end
