defmodule OgpEuskadi.Basic.Ods do
  use Ecto.Schema
  use OgpEuskadi.Translator, translates: [:title]

  alias OgpEuskadi.Plan

  schema "ods" do
    field :position, :integer
    field :title_es, :string
    field :title_eu, :string

    field :title, :string, virtual: true

    has_many :act_ods, Plan.ActOds, on_delete: :delete_all, on_replace: :delete
    has_many :acts, through: [:act_ods, :act]
    has_many :activities, through: [:acts, :activities]

    timestamps()
  end
end
