defmodule OgpEuskadi.Basic.Topic do
  use Ecto.Schema
  use OgpEuskadi.Translator, translates: [:title]

  import Ecto.Changeset

  alias OgpEuskadi.Plan

  schema "topics" do
    field :title_es, :string
    field :title_eu, :string
    field :title, :string, virtual: true

    has_many :act_topics, Plan.ActTopic, on_delete: :delete_all, on_replace: :delete
    has_many :acts, through: [:act_topics, :act]
    has_many :activities, through: [:acts, :activities]

    timestamps()
  end

  @doc false
  def changeset(topic, attrs) do
    topic
    |> cast(attrs, [:title_es, :title_eu])
    |> validate_required([:title_es, :title_eu])
  end
end
