defmodule OgpEuskadi.Config.EntityConfig do
  use Ecto.Schema
  use Arc.Ecto.Schema
  use OgpEuskadi.Translator, translates: [:name, :footer_text]

  import Ecto.Changeset

  schema "entity_config" do
    field :favicon, :string
    field :logo, OgpEuskadi.EntityLogo.Type
    field :name_es, :string
    field :name_eu, :string
    field :color_theme, :string
    field :footer_text_es, :string
    field :footer_text_eu, :string

    field :name, :string, virtual: true
    field :footer_text, :string, virtual: true

    timestamps()
  end

  @doc false
  def changeset(entity_config, attrs) do
    entity_config
    |> cast(attrs, [:name_es, :name_eu, :favicon, :color_theme, :footer_text_es, :footer_text_eu])
    |> cast_attachments(attrs, [:logo])
    |> validate_required([:name_es, :name_eu])
  end
end
