defmodule OgpEuskadi.Config.EntityService do
  use Ecto.Schema
  use OgpEuskadi.Translator, translates: [:name, :url]

  import Ecto.Changeset

  schema "entity_services" do
    field :name_es, :string
    field :name_eu, :string
    field :position, :integer
    field :url_es, :string
    field :url_eu, :string

    field :name, :string, virtual: true
    field :url, :string, virtual: true

    timestamps()
  end

  @doc false
  def changeset(entity_service, attrs) do
    entity_service
    |> cast(attrs, [:name_es, :name_eu, :url_es, :url_eu, :position])
    |> validate_required([:name_es, :url_es])
    |> validate_length(:name_es, max: 255)
    |> validate_length(:name_eu, max: 255)
    |> validate_length(:url_es, max: 255)
    |> validate_length(:url_eu, max: 255)
  end
end
