defmodule OgpEuskadi.DateInput do

  def date_input_format(nil) do
    nil
  end

  # In the browser for inputs with type date
  # the displayed date is formatted based on the locale of the user's browser,
  # but the parsed value is always formatted yyyy-mm-dd.
  # https://developer.mozilla.org/en-US/docs/Web/HTML/Element/input/date
  def date_input_format(%Date{} = date) do
    [d,m,y] = [date.day, date.month, date.year] |> Enum.map(fn n -> String.pad_leading(Integer.to_string(n), 2, "0") end)
    "#{y}-#{m}-#{d}"
  end

  def date_input_format(text_date) do
    [d,m,y] = String.split(text_date, "/") |> Enum.map(fn n -> String.pad_leading(n, 2, "0") end)
    "#{y}-#{m}-#{d}"
  end
end
