defmodule OgpEuskadi.JsonAPI do
  @moduledoc """
  JSON API context - tools to convert DB data into API data
  """

  alias OgpEuskadi.Basic.IndicatorKind

  @c """
  Set indicator special values for API
  """
  def set_indicator_api_values(indicator) do
    %{value_es: value_es, value_eu: value_eu, units_eu: units_eu, units_es: units_es} = indicator_value_and_units(indicator.current_value, indicator.indicator_kind.type, %{units_es: indicator.units_es, units_eu: indicator.units_eu, indicator_kind: indicator.indicator_kind})

   indicator
   |> Map.put(:current_value_es, value_es)
   |> Map.put(:current_value_eu, value_eu)
   |> Map.put(:goal_value, if(!!indicator.goal_value, do: Decimal.to_float(indicator.goal_value), else: nil))
   |> Map.put(:units_es, units_es)
   |> Map.put(:units_eu, units_eu)

     ### case indicator.indicator_kind.type do
     ###    "phases" ->
     ###      indicator
     ###      |> Map.put(:current_value_es, value_es)
     ###      |> Map.put(:current_value_eu, value_eu)

     ###      ### phase_number = if !!indicator.current_value do
     ###      ###   Decimal.to_integer(indicator.current_value)
     ###      ### else
     ###      ###   0
     ###      ### end

     ###      ### indicator
     ###      ### |> Map.put(:current_value_es, Enum.at(IndicatorKind.options_list(indicator.indicator_kind, "es"), phase_number))
     ###      ### |> Map.put(:current_value_eu, Enum.at(IndicatorKind.options_list(indicator.indicator_kind, "eu"), phase_number))
     ###    "percentage" ->
     ###      indicator
     ###      |> Map.put(:current_value_es, value_es)
     ###      |> Map.put(:current_value_eu, value_eu)
     ###      |> Map.put(:units_es, "%")
     ###      |> Map.put(:units_eu, "%")

     ###      ### indicator
     ###      ### |> Map.put(:current_value_es, if(!!indicator.current_value, do: Decimal.to_float(indicator.current_value), else: nil))
     ###      ### |> Map.put(:current_value_eu, if(!!indicator.current_value, do: Decimal.to_float(indicator.current_value), else: nil))
     ###      ### |> Map.put(:units_es, "%")
     ###      ### |> Map.put(:units_eu, "%")
     ###    _ ->
     ###      indicator
     ###      |> Map.put(:current_value_es, value_es)
     ###      |> Map.put(:current_value_eu, value_eu)
     ###      ### |> Map.put(:goal_value, if(!!indicator.goal_value, do: Decimal.to_float(indicator.goal_value), else: nil))
     ###      ### |> Map.put(:current_value_es, if(!!indicator.current_value, do: Decimal.to_float(indicator.current_value), else: nil))
     ###      ### |> Map.put(:current_value_eu, if(!!indicator.current_value, do: Decimal.to_float(indicator.current_value), else: nil))
     ###  end
  end

  def indicator_value_and_units(value, "phases", %{indicator_kind: indicator_kind}) do
    phase_number = if !!value do
      Decimal.to_integer(value)
    else
      0
    end

    %{
      value_es: Enum.at(IndicatorKind.options_list(indicator_kind, "es"), phase_number),
      value_eu: Enum.at(IndicatorKind.options_list(indicator_kind, "eu"), phase_number),
      units_es: nil,
      units_eu: nil
    }
  end

  def indicator_value_and_units(value, "percentage", _opts) do
    value = if(!!value, do: Decimal.to_float(value), else: nil)
    %{
      value_es: value,
      value_eu: value,
      units_es: "%",
      units_eu: "%"
    }
  end

  def indicator_value_and_units(value, _type, %{units_es: units_es, units_eu: units_eu}) do
    value = if(!!value, do: Decimal.to_float(value), else: nil)
    %{
      value_es: value,
      value_eu: value,
      units_es: units_es,
      units_eu: units_eu
    }
  end
end
