defmodule OgpEuskadi.Monitoring.ActivityIndicator do
  use Ecto.Schema
  use OgpEuskadi.Translator, translates: [], translates_assoc: [:indicator]

  import Ecto.Changeset

  alias OgpEuskadi.Monitoring

  schema "activity_indicators" do
    field :indicator_value, :decimal

    belongs_to :activity, Monitoring.Activity
    belongs_to :indicator, Monitoring.Indicator

    timestamps()
  end

  @doc false
  def changeset(activity_indicator, attrs) do
    # If indicator value is empty assign the current value
    attrs = if attrs["indicator_value"] == "" do
      attrs |> Map.replace("indicator_value", activity_indicator.indicator_value)
    else
      attrs
    end

    activity_indicator
    |> cast(attrs, [:indicator_value, :activity_id, :indicator_id])
    |> validate_required([:indicator_value, :indicator_id])
  end
end
