defmodule OgpEuskadi.Plan.ActDiscard do
  use Ecto.Schema

  import Ecto.Changeset

  alias OgpEuskadi.Monitoring

  schema "acts" do
    field :discarded, :boolean
    field :updated_at, :utc_datetime

    has_one :discards_act_activity, Monitoring.Activity, foreign_key: :act_id, where: [discards_act: true]
  end

  def changeset(act, attrs) do
    act
    |> cast(attrs, [:discarded])
  end

end
