defmodule OgpEuskadi.Plan.Goal do
  use Ecto.Schema
  use OgpEuskadi.Translator, translates: [:title, :description], translates_assoc: [:acts]

  import Ecto.Query, warn: false
  import Ecto.Changeset

  alias OgpEuskadi.Basic
  alias OgpEuskadi.Plan.Act

  alias OgpEuskadi.Repo

  schema "goals" do
    field :description_es, :string
    field :description_eu, :string
    field :title_es, :string
    field :title_eu, :string
    field :draft, :boolean
    field :position, :integer

    field :description, :string, virtual: true
    field :title, :string, virtual: true

    has_many :acts, Act

    timestamps()
  end

  @doc false
  def changeset(goal, attrs) do
    prefix = Ecto.get_meta(goal, :prefix) || attrs["prefix"]

    changeset =
      goal
      |> cast(attrs, [:title_es, :title_eu, :description_es, :description_eu, :draft, :position])
      |> validate_required([:title_es, :description_es])

  end
end
