defmodule OgpEuskadi.QueryableTools do

  import Ecto.Query, warn: false

  def filter_published(queryable) do
    from(item in queryable, where: item.draft == ^false)
  end

  def order_by_id(queryable) do
    from q in queryable, order_by: q.id
  end

  def order_by_position(queryable) do
    from q in queryable, order_by: q.position
  end

  # Order for acts list:
  # first last_activity_date
  # for the same last_activity_date use the numbers at the beginning of title_es in case numbers are included in the title
  # last use alpahbetical order by title_es
  def order_acts_by_last_activity_date(queryable) do
    from q in queryable, order_by: [desc: q.last_activity_date, asc: fragment("substring(?, '^[0-9]+')::int", q.title_es), asc: fragment("substring(?, '.([0-9]+)')::int", q.title_es), asc: q.title_es]
  end

  def get_distinct(queryable) do
    from q in queryable, distinct: q.id
  end
end
