defmodule OgpEuskadi.Search.MatchingItem do
  use Ecto.Schema
  use OgpEuskadi.Translator, translates: [:title, :description]

  import Ecto.Changeset

  embedded_schema do
    field :kind, :string
    field :title_es, :string
    field :title_eu, :string
    field :description_es, :string
    field :description_eu, :string
    field :act_id, :integer
    field :rank, :decimal

    field :description, :string, virtual: true
    field :title, :string, virtual: true
  end

  def changeset(matching_item, attrs) do
    matching_item
    |> cast(attrs, [:kind, :title_es, :title_eu, :description_es, :description_eu, :act_id, :rank])
  end
end
