defmodule OgpEuskadi.Site do
  @moduledoc """
  The Site context.
  Content for the site part of the application where no tenent is defined.
  The locale is passed as parameter as the content is shown for a specific locale.
  """

  import Ecto.Query, warn: false

  alias OgpEuskadi.Repo
  alias OgpEuskadi.Site.Entity

  alias OgpEuskadi.Translator

  # alias OgpEuskadi.Config
  # alias OgpEuskadi.EntityLogo

  def list_entities() do
    from(e in Entity, where: e.published==^true, order_by: [desc: e.published_at, desc: e.id])
    |> Repo.all()
  end

  def tenant_is_published(tenant) do
    if String.length(tenant) > 0 do
      from(e in Entity, where: e.tenant == ^tenant, select: e.published) |> Repo.one
    else
      true
    end
  end
end
