defmodule OgpEuskadi.Site.Entity do
  use Ecto.Schema
  use OgpEuskadi.Translator, translates: [:name]

  import Ecto.Changeset

  schema "entities" do
    field :logo_path, :string
    field :name_es, :string
    field :name_eu, :string
    field :tenant, :string
    field :published, :boolean, default: false
    field :published_at, :date

    field :name, :string, virtual: true

    has_one :api_key, OgpEuskadi.Auth.ApiKey

    timestamps()
  end

  @doc false
  def changeset(entity, attrs) do
    entity
    |> cast(attrs, [:tenant, :name_es, :name_eu, :logo_path, :published, :published_at])
    |> validate_required([:tenant, :name_es, :name_eu])
  end
end
