defmodule OgpEuskadiWeb.ActivityController do
  use OgpEuskadiWeb, :controller
  use OgpEuskadiWeb.CurrentPrefixHelper

  alias OgpEuskadi.Translator
  alias OgpEuskadi.Paginator
  alias OgpEuskadi.Overview

  def index(%{assigns: %{locale: locale}} = conn, params, prefix) do
    page_number = String.to_integer(Map.get(params, "page", "1"))

    paginated_activities = Overview.list_activities_with_archive_query |> Paginator.new(%{page_number: page_number}, prefix)

    activities = paginated_activities.entries |> Translator.translate(locale)
    pagination_data =
      if paginated_activities.last > 0 do
        Numerator.build(paginated_activities, show_first: true, show_last: true)
      else
        []
      end

    render(conn, "index.html", activities: activities, pagination_data: pagination_data)
  end

end
