defmodule OgpEuskadiWeb.Admin.AccountController do
  use OgpEuskadiWeb, :controller
  use OgpEuskadiWeb.CurrentPrefixHelper

  alias OgpEuskadi.Accounts

  def edit(conn, _params, prefix) do
    changeset = Accounts.change_user(conn.assigns.current_user)
    render(conn, "edit.html", changeset: changeset)
  end

  def update(conn, %{"user" => user_params}, prefix) do
    user = conn.assigns.current_user

    case Accounts.update_user(user, user_params) do
      {:ok, _user} ->
        conn
        |> put_flash(:info, gettext("¡Datos guardados!"))
        |> redirect(to: Routes.admin_plan_path(conn, :index, conn.assigns.tenant, conn.assigns.locale))

      {:error, %Ecto.Changeset{} = changeset} ->
        render(conn, "edit.html", changeset: changeset)
    end
  end
end
