defmodule OgpEuskadiWeb.Admin.ActDiscardController do
  use OgpEuskadiWeb, :controller
  use OgpEuskadiWeb.CurrentPrefixHelper

  alias OgpEuskadi.Translator
  alias OgpEuskadi.Basic
  alias OgpEuskadi.Config
  alias OgpEuskadi.Plan
  alias OgpEuskadi.Monitoring
  alias OgpEuskadi.Monitoring.Activity

  def new(conn, %{"act_id" => id}, prefix) do
    act = Plan.get_act_with_indicators!(id, prefix) |> Translator.translate(conn.assigns.locale)

    changeset = Plan.change_act_discard_activity(act)

    render(conn, "new.html", act: act, changeset: changeset)
  end

  def create(conn, %{"act_id" => id, "activity" => discard_activity_params}, prefix) do
    act = Plan.get_act!(id, prefix)

    case Plan.discard_act(act, discard_activity_params) do
      {:ok, _act_discard} ->
        conn
        |> put_flash(:info, gettext("¡Acción desestimada!"))
        |> redirect(to: Routes.admin_act_path(conn, :show, conn.assigns.tenant, conn.assigns.locale, act))

      {:error, %Ecto.Changeset{} = changeset} ->
        act = Plan.get_act_with_indicators!(id, prefix) |> Translator.translate(conn.assigns.locale)
        render(conn, "new.html", act: act, changeset: changeset)
    end
  end


end
