defmodule OgpEuskadiWeb.Admin.UserController do
  use OgpEuskadiWeb, :controller
  use OgpEuskadiWeb.CurrentPrefixHelper

  alias OgpEuskadi.Accounts
  alias OgpEuskadi.Accounts.User

  def index(conn, _params, prefix) do
    users = Accounts.list_users(prefix)
    render(conn, "index.html", users: users)
  end

  def new(conn, _params, prefix) do
    changeset = Accounts.change_user(%User{})
    render(conn, "new.html", changeset: changeset)
  end

  def create(conn, %{"user" => user_params}, prefix) do
    case Accounts.create_user(user_params, prefix) do
      {:ok, user} ->
        conn
        |> put_flash(:info, gettext("¡Usuario %{username} creado!", username: user.username))
        |> redirect(to: Routes.admin_user_path(conn, :index, conn.assigns.tenant, conn.assigns.locale))

      {:error, %Ecto.Changeset{} = changeset} ->
        render(conn, "new.html", changeset: changeset)
    end
  end

  def delete(conn, %{"id" => id}, prefix) do
    user = Accounts.get_user!(id, prefix)
    {:ok, _page} = Accounts.delete_user(user)

    conn
    |> put_flash(:info, gettext("¡Usuario %{username} eliminado!", username: user.username))
    |> redirect(to: Routes.admin_user_path(conn, :index, conn.assigns.tenant, conn.assigns.locale))
  end

end
