defmodule OgpEuskadiWeb.Api.AuthController do
  use OgpEuskadiWeb, :controller

  alias OgpEuskadi.Auth

  def access_token(conn, %{"client" => client, "api_key" => api_key}) do
    with {:ok, token, _sub} <- Auth.authenticate_client_by_api_key!(client, api_key) do
      conn
      |> put_status(:created)
      |> render("jwt.json", %{token: token})
    end
  end

  def access_token(conn, _params) do
    conn
    |> put_status(:not_found)
    |> json(%{error: "Not found"}) 
  end
end
