# Adds current_prefix as parameter for each action.
# https://blog.remote.com/current-user-in-elixir-phoenix/
defmodule OgpEuskadiWeb.CurrentPrefixHelper do

  defmacro __using__(_) do
    quote do
      def action(%Plug.Conn{assigns: %{tenant: tenant}} = conn, _opts) do
        prefix = Triplex.to_prefix(tenant)
        apply(__MODULE__, action_name(conn), [conn, conn.params, prefix])
      end
    end
  end

end
