defmodule OgpEuskadiWeb.OdsController do
  use OgpEuskadiWeb, :controller
  use OgpEuskadiWeb.CurrentPrefixHelper

  alias OgpEuskadi.Basic
  alias OgpEuskadi.Overview

  def index(%{assigns: %{locale: locale}} = conn, _params, prefix) do
    ods = Overview.list_ods_with_acts_and_activities_counter(locale, prefix)
    render(conn, "index.html", ods: ods)
  end

  def show(%{assigns: %{locale: locale}} = conn, %{"id" => id}, prefix) do
    ods = Overview.get_ods!(id, locale, prefix)
    acts = Overview.list_ods_acts_with_activity_counters(ods, locale)
    render(conn, "show_acts.html", ods: ods, acts: acts)
  end

  def show_acts(%{assigns: %{locale: locale}} = conn, %{"id" => id}, prefix) do
    ods = Overview.get_ods!(id, locale, prefix)
    acts = Overview.list_ods_acts_with_activity_counters(ods, locale)
    render(conn, "show_acts.html", ods: ods, acts: acts)
  end

  def show_activities(%{assigns: %{locale: locale}} = conn, %{"id" => id}, prefix) do
    ods = Overview.get_ods!(id, locale, prefix)
    activities = Overview.list_ods_activities(ods, locale)
    render(conn, "show_activities.html", ods: ods, activities: activities)
  end

end
