defmodule OgpEuskadiWeb.SessionController do
  use OgpEuskadiWeb, :controller

  def new(conn, _) do
    render(conn, "new.html")
  end

  def create(conn, %{"session" => %{"email" => email, "password" => pass}}) do
    case OgpEuskadiWeb.Auth.login_by_email_and_pass(conn, email, pass) do
      {:ok, conn} ->
        conn
        |> put_flash(:info, "¡Hola!")
        |> redirect(to: Routes.admin_plan_path(conn, :index, conn.assigns.tenant, conn.assigns.locale))
      {:error, _reason, conn} ->
        conn
        |> put_flash(:error, "Los datos de acceso no son válidos.")
        |> render("new.html")
    end
  end

  def delete(conn, _) do
    conn
    |> OgpEuskadiWeb.Auth.logout()
    |> put_flash(:info, "¡Hasta luego!")
    |> redirect(to: Routes.plan_path(conn, :index, conn.assigns.tenant, conn.assigns.locale))
  end
end
