defmodule OgpEuskadiWeb.SiteController do
  use OgpEuskadiWeb, :controller

  alias OgpEuskadi.Site

  alias OgpEuskadi.Translator

  def home(conn, _params) do
    case get_session(conn, :locale) do
      "es" ->
        conn
        |> assign(:locale, "es")
        |> render("index.html", entities: get_entities_for_locale("es"))

      "eu" ->
        conn
        |> assign(:locale, "eu")
        |> render("index.html", entities: get_entities_for_locale("eu"))

      _ ->
        render(conn, "home.html")
    end
  end

  def index(%{assigns: %{locale: locale}} = conn, _params) do
    conn
    |> put_session(:locale, locale)
    |> render("index.html", entities: get_entities_for_locale(locale))
  end

  defp get_entities_for_locale(locale) do
    Site.list_entities() |> Translator.translate(locale)
  end
end
