defmodule OgpEuskadiWeb.SubdivisionController do
  use OgpEuskadiWeb, :controller
  use OgpEuskadiWeb.CurrentPrefixHelper

  alias OgpEuskadi.Overview

  def index(%{assigns: %{locale: locale}} = conn, _params, prefix) do
    subdivisions = Overview.list_subdivisions_with_acts_and_activities_counter(locale, prefix)
    {all_subdivisions_acts_counter, all_subdivisions_activities_counter} = Overview.get_all_subdivisions_counters(prefix)
    render(conn, "index.html", subdivisions: subdivisions, all_subdivisions_acts_counter: all_subdivisions_acts_counter, all_subdivisions_activities_counter: all_subdivisions_activities_counter)
  end

  def show_acts(%{assigns: %{locale: locale}} = conn, %{"id" => id}, prefix) do
    subdivision = Overview.get_subdivision!(id, locale, prefix)
    acts = Overview.list_subdivision_acts_with_activity_counters(subdivision, locale)
    render(conn, "show_acts.html", subdivision: subdivision, acts: acts)
  end

  def show_activities(%{assigns: %{locale: locale}} = conn, %{"id" => id}, prefix) do
    subdivision = Overview.get_subdivision!(id, locale, prefix)
    activities = Overview.list_subdivision_activities(subdivision, locale)
    render(conn, "show_activities.html", subdivision: subdivision, activities: activities)
  end

end
