defmodule OgpEuskadiWeb.TopicController do
  use OgpEuskadiWeb, :controller
  use OgpEuskadiWeb.CurrentPrefixHelper

  alias OgpEuskadi.Basic
  alias OgpEuskadi.Overview

  def index(%{assigns: %{locale: locale}} = conn, _params, prefix) do
    topics = Overview.list_topics_with_acts_and_activities_counter(locale, prefix)
    render(conn, "index.html", topics: topics)
  end

  def show(%{assigns: %{locale: locale}} = conn, %{"id" => id}, prefix) do
    topic = Overview.get_topic!(id, locale, prefix)
    acts = Overview.list_topic_acts_with_activity_counters(topic, locale)
    render(conn, "show_acts.html", topic: topic, acts: acts)
  end

  def show_acts(%{assigns: %{locale: locale}} = conn, %{"id" => id}, prefix) do
    topic = Overview.get_topic!(id, locale, prefix)
    acts = Overview.list_topic_acts_with_activity_counters(topic, locale)
    render(conn, "show_acts.html", topic: topic, acts: acts)
  end

  def show_activities(%{assigns: %{locale: locale}} = conn, %{"id" => id}, prefix) do
    topic = Overview.get_topic!(id, locale, prefix)
    activities = Overview.list_topic_activities(topic, locale)
    render(conn, "show_activities.html", topic: topic, activities: activities)
  end

end
