defmodule OgpEuskadiWeb.ExceptionNotifierEmail do
  use Bamboo.Phoenix, view: OgpEuskadiWeb.ExceptionNotifierEmailView

  def exception_notification_email(conn, reason, stacktrace) do
    config  = Application.get_env(:ogp_euskadi, OgpEuskadiWeb.Mailer)
    {:ok, datetime} = DateTime.now("Europe/Madrid")

    new_email()
    |> to(config[:to])
    |> from(config[:from])
    |> subject("#{config[:application_name]} ERROR")
    |> assign(:datetime, datetime)
    |> assign(:request_info, [["method", conn.method], ["request_path", conn.request_path], ["query_string", conn.query_string], ["params", inspect(conn.params)]])
    |> assign(:reason, Exception.message(reason))
    |> assign(:stacktrace, Exception.format_stacktrace(stacktrace))
    |> render("exception_notification_email.text")
  end

end
