defmodule OgpEuskadiWeb.UserEmail do
  use Bamboo.Phoenix, view: OgpEuskadiWeb.UserEmailView

  def reset_token_email(name, email, reset_url) do
    base_email()
    |> to(email)
    |> subject("OGP Euskadi: Restablecer contraseña")
    |> assign(:name, name)
    |> assign(:email, email)
    |> assign(:reset_url, reset_url)
    |> render(:reset_token_email)
  end


  defp base_email do
    config  = Application.get_env(:ogp_euskadi, OgpEuskadiWeb.Mailer)
    {:ok, datetime} = DateTime.now("Europe/Madrid")

    new_email()
    |> from(config[:from])
    |> assign(:datetime, datetime)
    |> assign(:signature, "OGP Euskadi")
    |> put_html_layout({OgpEuskadiWeb.LayoutView, "user_email.html"})
  end
end
