defmodule OgpEuskadiWeb.Exceptions.ForbiddenActionError do
  @moduledoc """
    Exception raised when requested action can not be executed
  """

  defexception plug_status: 403, message: "Action can not be executed", conn: nil, changeset: nil, detail: nil

  def exception(opts) do
    conn   = Keyword.fetch!(opts, :conn)
    changeset   = Keyword.fetch!(opts, :changeset)
    path   = "/" <> Enum.join(conn.path_info, "/")


    detail = Ecto.Changeset.traverse_errors(changeset, fn {msg, opts} ->
      Enum.reduce(opts, msg, fn {key, value}, acc ->
        String.replace(acc, "%{#{key}}", to_string(value))
      end)
    end)

    %OgpEuskadiWeb.Exceptions.ForbiddenActionError{
      detail: detail
    }
  end
end
