defmodule OgpEuskadiWeb.Exceptions.InvalidDataError do
  @moduledoc """
    Exception raised when request parameters are not valid
  """

  defexception plug_status: :unprocessable_entity, message: "Data is not valid", conn: nil, changeset: nil, detail: nil

  def exception(opts) do
    conn   = Keyword.fetch!(opts, :conn)
    changeset   = Keyword.fetch!(opts, :changeset)
    path   = "/" <> Enum.join(conn.path_info, "/")


    detail = Ecto.Changeset.traverse_errors(changeset, fn {msg, opts} ->
      Enum.reduce(opts, msg, fn {key, value}, acc ->
        String.replace(acc, "%{#{key}}", to_string(value))
      end)
    end)

    %OgpEuskadiWeb.Exceptions.InvalidDataError{
      detail: detail
    }
  end
end
