defmodule OgpEuskadiWeb.Exceptions.MissingParametersError do
  @moduledoc """
    Exception raised when request parameters are missing
  """

  defexception plug_status: 400, message: "Missing parameters", conn: nil, expected_parameters: nil, detail: nil

  def exception(opts) do
    conn   = Keyword.fetch!(opts, :conn)
    expected_parameters   = Keyword.fetch!(opts, :expected_parameters)
    path   = "/" <> Enum.join(conn.path_info, "/")

    %OgpEuskadiWeb.Exceptions.MissingParametersError{
      detail: Enum.into(expected_parameters, %{}, fn param -> {param, ["required parameter"]} end)
    }
  end
end
