defmodule OgpEuskadiWeb.Plugs.ExceptionNotifier do
  defmacro __using__(opts) do
    quote location: :keep do
      use Plug.ErrorHandler

      def handle_errors(conn, %{kind: kind, reason: reason, stack: stack}) do
        if Plug.Exception.status(reason) != 404 do
          OgpEuskadiWeb.ExceptionNotifierEmail.exception_notification_email(conn, reason, stack) |> OgpEuskadiWeb.Mailer.deliver_now()
        end
      end
    end
  end
end
