defmodule OgpEuskadi.Plug.LoadConfig do
  import Plug.Conn
  import Phoenix.Controller

  alias OgpEuskadi.Config
  alias OgpEuskadi.Translator

  def init(default), do: default

  def call(conn, default) do
    if conn.assigns[:tenant] do
      if Triplex.exists?(conn.assigns[:tenant]) do
        prefix = Triplex.to_prefix(conn.assigns.tenant)
        conn
        |> assign(:entity_config, Config.get_entity_config(prefix) |> Translator.translate(conn.assigns.locale))
        |> assign(:entity_services, Config.list_entity_services(prefix) |> Translator.translate(conn.assigns.locale))
      else
        conn
        |> put_status(:not_found)
        |> put_view(OgpEuskadiWeb.ErrorView)
        |> render("404.html")
        |> halt()
      end
    else
      conn
    end
  end
end
