defmodule OgpEuskadi.Document do
  use Arc.Definition
  use Arc.Ecto.Definition

  import OgpEuskadi.Uploaders.Tools

  # @extension_whitelist ~w(.pdf .doc .docx)

  @versions [:original]

  # Whitelist file extensions:
  # def validate({file, _}) do
  #   @extension_whitelist |> Enum.member?(String.downcase(Path.extname(file.file_name)))
  # end

  def filename(version, {file, _scope}) do
    Path.basename(file.file_name, Path.extname(file.file_name)) |> sanitize_filename
  end

  # Override the storage directory:
  def storage_dir(version, {file, scope}) do
    prefix = Ecto.get_meta(scope, :prefix)

    "uploads/#{prefix}/activity/#{scope.activity_id}/documents/"
  end
end
