defmodule OgpEuskadiWeb.Api.GoalView do
  use OgpEuskadiWeb, :view

  # Use json_map if it is necessary to  keep map keys order.
  # Otherwise the keys are ordered in aphabetical order.
  # require Jason.Helpers

  def render("index.json", %{goals: goals}) do
    %{
      goals: render_many(goals, OgpEuskadiWeb.Api.GoalView, "goal.json")
    }
  end

  def render("show.json", %{goal: goal}) do
    %{ goal: render_one(goal, OgpEuskadiWeb.Api.GoalView, "goal.json")}
  end

  def render("goal.json", %{goal: goal}) do
    goal_json(goal)
  end

  def goal_json(g) do
    %{
      id: g.id,
      title_es: g.title_es,
      title_eu: g.title_eu,
      description_es: g.description_es,
      description_eu: g.description_eu,
      position: g.position,
      draft: g.draft,
      inserted_at: g.inserted_at,
      updated_at: g.updated_at
    }
 end

end
