defmodule OgpEuskadiWeb.Api.IndicatorView do
  use OgpEuskadiWeb, :view

  alias OgpEuskadi.DateInput
  alias OgpEuskadi.JsonAPI

  def render("index.json", %{indicators: indicators}) do
    %{"indicators": Enum.map(indicators, &indicator_json/1)}
  end

  def render("show.json", %{indicator: indicator}) do
    %{indicator: indicator_json(indicator)}

  end

  def indicator_json(indicator) do
    ind = OgpEuskadi.JsonAPI.set_indicator_api_values(indicator)
    %{
      act: %{
        id: indicator.act.id,
        title_es: indicator.act.title_es,
        title_eu: indicator.act.title_eu
      },
      indicator_kind: %{
        id: ind.indicator_kind.id,
        type: ind.indicator_kind.type
      },
      id: ind.id,
      title_es: ind.title_es,
      title_eu: ind.title_eu,
      goal_value: ind.goal_value,
      current_value_es: ind.current_value_es,
      current_value_eu: ind.current_value_eu,
      units_es: ind.units_es,
      units_eu: ind.units_eu,
      inserted_at: ind.inserted_at,
      updated_at: ind.updated_at
    }
  end
end
