defmodule OgpEuskadi.Repo.Migrations.FillTopics do
  use Ecto.Migration

  def change do
    [
      ["Acción social", "Gizarte-ekintza"],
      ["Atención ciudadana", "Herritarrentzako arreta"],
      ["Ciencia y tecnología", "Zientzia eta teknologia"],
      ["Comercio local", "Tokiko merkataritza"],
      ["Consumo", "Kontsumoa"],
      ["Convivencia", "Bizikidetza"],
      ["Cooperación al desarrollo", "Garapenerako lankidetza"],
      ["Cultura y ocio", "Kultura eta aisia"],
      ["Deporte", "Kirola"],
      ["Derechos humanos", "Giza eskubideak"],
      ["Desarrollo económico", "Giza eskubideak"],
      ["Diversidad funcional", "Dibertsitate funtzionala"],
      ["Educación", "Hezkuntza"],
      ["Empleo y talento", "Enplegua eta talentua"],
      ["Espacio público", "Espazio publikoa"],
      ["Euskera", "Euskara"],
      ["Familia", "Familia"],
      ["Fiestas", "Jaiak"],
      ["Fiscalidad", "Zerga-sistema"],
      ["Gestión avanzada", "Kudeaketa aurreratua"],
      ["Igualdad", "Berdintasuna"],
      ["Industria", "Industria"],
      ["Infancia y menores", "Haurrak eta adingabeak"],
      ["Juventud", "Gazteria"],
      ["Medio ambiente", "Ingurumena"],
      ["Obras e infraestructuras", "Obrak eta azpiegiturak"],
      ["Participación ciudadana y gobierno abierto", "Herritarren parte-hartzea eta gobernu irekia"],
      ["Personas mayores", "Adinekoak"],
      ["Planificación urbana", "Hiri-plangintza"],
      ["Rehabilitación y regeneración urbana", "Hiri-birgaitzea eta -berroneratzea"],
      ["Salud", "Osasuna"],
      ["Sector primario/desarrollo rural", "Lehen sektorea/landa-garapena"],
      ["Seguridad y convivencia", "Segurtasuna eta bizikidetza"],
      ["Servicios básicos", "Oinarrizko zerbitzuak"],
      ["Tráfico y movilidad", "Trafikoa eta mugikortasuna"],
      ["Turismo", "Turismoa"],
      ["Valores", "Balioak"],
      ["Vivienda", "Etxebizitza"]
    ]
    |> Enum.map(fn [title_es, title_eu] -> OgpEuskadi.Basic.create_topic(%{title_es: title_es, title_eu: title_eu}, prefix()) end)
  end
end
