defmodule OgpEuskadi.Repo.Migrations.CreateNextPositionFunctionsAndTriggers do
  use Ecto.Migration

  def up do
    execute(
      ~S"""
      CREATE FUNCTION set_initial_position() RETURNS TRIGGER AS $initial_position$
      DECLARE
        next_position integer;
      BEGIN
        RAISE NOTICE 'Get next position for table %', TG_TABLE_SCHEMA ||'.' || TG_TABLE_NAME;
        EXECUTE 'SELECT max(position) FROM ' || TG_TABLE_SCHEMA || '.' || TG_TABLE_NAME INTO next_position;
        NEW.position := next_position + 1;
        RETURN NEW;
      END;
      $initial_position$ language plpgsql;
      """
    )
  end

  def down do
    execute("DROP FUNCTION set_initial_position();")
  end
end
