defmodule OgpEuskadi.Repo.Migrations.FillInitialIndicatorKinds do
  use Ecto.Migration

  alias OgpEuskadi.Basic

  def up do
    Basic.create_indicator_kind(%{type: "percentage", name_es: "Porcentaje", position: 1}, prefix())
    Basic.create_indicator_kind(%{type: "numeric", name_es: "Numérico", position: 5}, prefix())

    Basic.create_indicator_kind(%{type: "phases", name_es: "Sin iniciar / En proceso / Finalizada", options_es: "Sin iniciar|En proceso|Finalizada", position: 11}, prefix())
    Basic.create_indicator_kind(%{type: "phases", name_es: "Borrador / Consulta e información / Aprobación", options_es: "Borrador|Consulta e información|Aprobación", position: 15}, prefix())
    Basic.create_indicator_kind(%{type: "phases", name_es: "Proyecto y pliegos / Licitación / Ejecución / Finalizada", options_es: "Elaboración de proyecto y pliegos de contratación|Fase de licitación pública|Proyecto adjudicado y en ejecución|Actuación finalizada", position: 19}, prefix())
  end

  def down do
    execute "DELETE FROM #{prefix()}.indicator_kinds"
  end
end
