defmodule OgpEuskadi.Repo.Migrations.CreateActivityIndicators do
  use Ecto.Migration

  def change do
    create table(:activity_indicators) do
      add :indicator_value, :decimal
      add :activity_id, references(:activities, on_delete: :delete_all)
      add :indicator_id, references(:indicators, on_delete: :delete_all)

      timestamps()
    end

    create index(:activity_indicators, [:activity_id])
    create index(:activity_indicators, [:indicator_id])
    create index(:activity_indicators, [:activity_id, :indicator_id], unique: true)
  end
end
