defmodule OgpEuskadi.Repo.Migrations.AddActsPosition do
  use Ecto.Migration

  def up do
    alter table(:acts) do
      add :position, :integer, default: 0
    end

    execute("CREATE TRIGGER set_initial_act_position BEFORE INSERT ON #{prefix()}.acts FOR EACH ROW EXECUTE PROCEDURE set_initial_position();")
  end

  def down do
    alter table(:acts) do
      remove :position
    end

    execute("DROP TRIGGER set_initial_act_position ON #{prefix()}.acts;")
  end
end
