defmodule OgpEuskadi.Repo.Migrations.CreateEntityServices do
  use Ecto.Migration

  def up do
    create table(:entity_services) do
      add :name_es, :string, null: false
      add :name_eu, :string
      add :url_es, :string, null: false
      add :url_eu, :string
      add :position, :integer

      timestamps()
    end

    execute("CREATE TRIGGER set_initial_entity_service_position BEFORE INSERT ON #{prefix()}.entity_services FOR EACH ROW EXECUTE PROCEDURE set_initial_position();")
  end

  def down do
    execute("DROP TRIGGER set_initial_entity_service_position ON #{prefix()}.entity_services;")

    drop table(:entity_services)
  end

end
