defmodule OgpEuskadi.Repo.Migrations.TranslateIndicatorKinds do
  use Ecto.Migration

  import Ecto.Query, warn: false
  alias OgpEuskadi.Repo

  alias OgpEuskadi.Basic
  alias OgpEuskadi.Basic.IndicatorKind

  def up do
    IndicatorKind
    |> Repo.get_by([type: "percentage"], prefix: prefix())
    |> Basic.update_indicator_kind(%{name_eu: "Ehunekoa"})


    IndicatorKind
    |> Repo.get_by([type: "numeric"], prefix: prefix())
    |> Basic.update_indicator_kind(%{name_eu: "Zenbakizkoa"})


    IndicatorKind
    |> Repo.get_by([name_es: "Sin iniciar / En proceso / Finalizada"], prefix: prefix())
    |> Basic.update_indicator_kind(%{name_eu: "Hasi gabe / Prozesatzen / Amaituta", options_eu: "Hasi gabe|Prozesatzen|Amaituta"})

    IndicatorKind
    |> Repo.get_by([name_es: "Borrador / Consulta e información / Aprobación"], prefix: prefix())
    |> Basic.update_indicator_kind(%{name_eu: "Zirriborroa / Kontsulta eta informazioa / Onartzear", options_eu: "Zirriborroa|Kontsulta eta informazioa|Onartzea"})

    IndicatorKind
    |> Repo.get_by([name_es: "Proyecto y pliegos / Licitación / Ejecución / Finalizada"], prefix: prefix())
    |> Basic.update_indicator_kind(%{name_eu: "Proiektua eta pleguak / Lizitazioa / Exekuzioa / Amaitua", options_eu: "Proiektua eta pleguak|Lizitazioa|Exekuzioa|Amaitua"})
  end

  def down do
    execute "UPDATE #{prefix()}.indicator_kinds SET name_eu=NULL, options_eu=NULL"
  end

end
