defmodule OgpEuskadi.Repo.Migrations.InsertOds do
  use Ecto.Migration

  def up do
    [
      [1, "Poner fin a la pobreza en todas sus formas y en todo el mundo", "Pobrezia mota guztiak desagertzea mundu osoan.", "#cd0a20"],
      [2, "Poner fin al hambre, lograr la seguridad alimentaria y la mejora de la nutrición y promover la agricultura sostenible", "Gosea amaitzea, elikagai-segurtasun eta elikadura hobea lortzea, eta nekazaritza jasangarria bultzatzea.", "#b98723"],
      [3, "Garantizar una vida sana y promover el bienestar de todos a todas las edades", "Guztiontzat eta adin guztietan bizimodu osasungarria bermatzea eta ongizatea sustatzea.", "#2a8336"],
      [4, "Garantizar una educación inclusiva y equitativa de calidad y promover oportunidades de aprendizaje permanente para todos", "Guztiontzako kalitatezko hezkuntza inklusiboa nahiz bidezkoa bermatzea eta etengabeko ikaskuntzarako aukerak bultzatzea.", "#8e1427"],
      [5, "Lograr la igualdad de género y empoderar a todas las mujeres y las niñas", "Genero-berdintasuna lortzea eta emakume nahiz neskato guztiak ahalduntzea.", "#d33324"],
      [6, "Garantizar la disponibilidad y la gestión sostenible del agua y el saneamiento para todos", "Uraren erabilgarritasuna eta kudeaketa jasangarria nahiz guztiontzako saneamendua bermatzea.", "#1e83bb"],
      [7, "Garantizar el acceso a una energía asequible, fiable, sostenible y moderna para todos", "Energia eskuragarria, fidagarria, jasangarria eta modernoa bermatzea guztiontzat.", "#eea429"],
      [8, "Promover el crecimiento económico sostenido, inclusivo y sostenible, el empleo pleno y productivo y el trabajo decente para todos", "Guztiontzako hazkunde ekonomiko jarraitua, inklusiboa eta jasangarria, enplegu vetea eta produktiboa nahiz lan duina sustatzea.", "#661027"],
      [9, "Construir infraestructuras resilientes, promover la industrialización inclusiva y sostenible y fomentar la innovación", "Azpiegitura erresilienteak eraikitzea, industrializazio inklusiboa eta jasangarria bultzatzea, eta berrikuntza sustatzea.", "#dc5b26"],
      [10, "Reducir la desigualdad en los países y entre ellos ", "Herrialde bakoitzean eta herrialdeen artean desberdintasunak murriztea.", "#c2005f"],
      [11, "Lograr que las ciudades y los asentamientos humanos sean inclusivos, seguros, resilientes y sostenibles", "Hiriak eta giza kokaguneak inklusiboak, seguruak, erresilienteak eta jasangarriak izatea lortzea.", "#e6832a"],
      [12, "Garantizar modalidades de consumo y producción sostenibles", "Kontsumo eta ekoizpen modalitate jasangarriak bermatzea. ", "#b67524"],
      [13, "Adoptar medidas urgentes para combatir el cambio climático y sus efectos", "Neurri urgenteak hartzea klima-aldaketaren eta haren ondorioen aurka egiteko (Aintzat hartuta Klima Aldaketari buruzko Nazio Batuen Esparru Hitzarmena klima aldaketari mundu mailan erantzuteko gobernuen arteko eta nazioarteko foroa nagusia dela).", "#345e2d"],
      [14, "Conservar y utilizar sosteniblemente los océanos, los mares y los recursos marinos para el desarrollo sostenible", "Ozeanoak, itsasoak eta itsas baliabideak mantentzea eta modu jasangarrirean erabiltzea garapen jasangarriari begira.", "#1c5c93"],
      [15, "Proteger, restablecer y promover el uso sostenible de los ecosistemas terrestres, gestionar sosteniblemente los bosques, luchar contra la desertificación, detener e invertir la degradación de las tierras y detener la pérdida de biodiversidad", "Lehorreko bizitza babestea, lehengoratzea eta modu jasangarrirean erabili dadila sustatzea, basoak modu jasangarrirean kudeatzea, basamortutzearen aurka borrokatzea, lurren degradazioa inbertitzea eta biodibertsitatearen galera gelditzea.", "#349637"],
      [16, "Promover sociedades pacíficas e inclusivas para el desarrollo sostenible, facilitar el acceso a la justicia para todos y construir a todos los niveles instituciones eficaces e inclusivas que rindan cuentas", "Garapen jasangarrirako gizarte baketsuak eta inklusiboak sustatzea, guztioi justiziarako sarbidea erraztea, eta erakunde eraginkorrak eta inklusiboak sortzea maila guztietan.", "#113b66"],
      [17, "Fortalecer los medios de implementación y revitalizar la Alianza Mundial para el Desarrollo Sostenible", "Ezarpen-baliabideak sendotzea eta Garapen Jasangarrirako Munduko Ituna biziberritzea.", "#192544"],
    ]
    |> Enum.map(fn([position, title_es, title_eu, _color]) ->
      execute "INSERT INTO #{prefix()}.ods (position, title_es, title_eu, inserted_at, updated_at) VALUES (#{position}, '#{title_es}', '#{title_eu}', 'now', 'now')"
    end)
  end

  def down do
    execute "DELETE from #{prefix()}.ods"
  end
end
