defmodule OgpEuskadiWeb.Api.IndicatorKindControllerTest do
  use OgpEuskadiWeb.ConnCase

  alias OgpEuskadi.Auth
  alias OgpEuskadi.Basic
  alias OgpEuskadiWeb.Api.IndicatorKindView

  @prefix "ogpe_test_tenant"

  describe "not authenticaed client" do
    test "return unauthorized", %{conn: conn} do
      conn = get conn, Routes.api_indicator_kind_path(conn, :index)

      assert json_response(conn, 401) == %{"error" => "unauthenticated"}
    end
  end

  describe "authenticated client" do
    setup %{conn: conn} do

      api_client = insert(:api_client_with_entity)

      # create the token
      {:ok, token, _claims} = Auth.authenticate_client_by_api_key!(api_client.client, api_client.key)

      # add authorization header to request
      conn = conn |> put_req_header("authorization", "Bearer #{token}")

      %{conn: conn}
    end

    test "#index renders a list of indicator kinds", %{conn: conn} do
      conn = get conn, Routes.api_indicator_kind_path(conn, :index)

      assert json_response(conn, 200) == render_json(IndicatorKindView, "index.json", items: Basic.list_indicator_kinds(@prefix))
    end

  end

end
