defmodule OgpEuskadiWeb.SiteTest do
  use OgpEuskadiWeb.IntegrationCase, async: true

  import OgpEuskadi.Factory
  import Wallaby.Query, only: [css: 2, link: 1]

  describe "home page" do
    test "shows home page", %{session: session} do
      session
      |> visit("/")
      |> find(css(".page_heading", count: 0))
    end
  end

  describe "index page" do

    setup %{session: session} do
      entity = insert(:entity)

      {:ok, session: session, entity: entity}
    end

    test "shows index page with entities links", %{session: session, entity: entity} do
      session
      |> visit("/es")
      |> assert_has(css("h5", text: "PARTICIPANTES"))
      |> assert_has(link(entity.name_es))
    end

    test "does not show entity link for unpublished entity", %{session: session, entity: entity} do
      OgpEuskadi.Admin.unpublish_site_entity(entity)

      session
      |> visit("/es")
      |> refute_has(link(entity.name_es))
    end
  end
end
