defmodule OgpEuskadiWeb.ActivityManagementTest do
  use OgpEuskadiWeb.IntegrationCase, async: true

  describe "with act" do
    setup %{session: session} do
      {:ok, user} = OgpEuskadi.Accounts.create_user(%{username: "Test", credential: %{email: "test@efaber.net", password: "secret"}}, "ogpe_test_tenant")

      act = tenant_insert(:act)

      tenant_login(session, user)

      {:ok, session: session, act: act}
    end

    test "create activity", %{session: session, act: act} do
      session
      |> visit("/test_tenant/es/admin/act/#{act.id}")
      |> click(link("añadir actividad"))
      |> fill_in(text_field("activity_title_es"), with: "Primera actividad")
      |> fill_ckeditor_field_text("Hola")
      |> fill_in(text_field("activity_date"), with: "10/09/2020")
      |> fill_in(text_field("activity_activity_indicators_0_indicator_value"), with: "10")
      |> click(button("Crear actividad"))
      |> assert_text("Primera actividad")
    end
  end
end
