defmodule OgpEuskadiWeb.IndexPageTest do
  use OgpEuskadiWeb.IntegrationCase, async: true

  import OgpEuskadi.Factory
  import Wallaby.Query, only: [css: 2]

  describe "index page" do

    setup %{session: session} do
      goal = tenant_insert(:goal)
      draft_goal = tenant_insert(:goal, draft: true)

      {:ok, session: session, goal: goal, draft_goal: draft_goal}
    end

    test "shows published indicators on index page", %{session: session, goal: goal, draft_goal: draft_goal} do
      session
      |> visit("/test_tenant/es/")
      |> assert_has(css("h1", text: "Plan"))
      |> assert_has(css("h6", text: goal.title_es, count: 1))
      |> assert_has(css("h6", text: draft_goal.title_es, count: 0))
    end

    test "shows goal description on click", %{session: session, goal: goal} do
      session
      |> visit("/test_tenant/es/")
      |> click(Query.link(goal.title_es))
      |> assert_has(css(".goal-description", text: goal.description_es))
    end
  end
end
