defmodule OgpEuskadiWeb.Api.GoalViewTest do
  use OgpEuskadiWeb.ConnCase, async: true

  require Jason.Helpers

  alias OgpEuskadiWeb.Api.GoalView

  test "goal_json" do
    goal = tenant_insert(:goal)

    rendered_goal = GoalView.goal_json(goal)

    assert rendered_goal ==  %{
      id: goal.id,
      title_es: goal.title_es,
      title_eu: goal.title_eu,
      description_es: goal.description_es,
      description_eu: goal.description_eu,
      position: goal.position,
      draft: goal.draft,
      inserted_at: goal.inserted_at,
      updated_at: goal.updated_at
    }
  end

  test "index.json" do
    goal1 = tenant_insert(:goal)
    goal2 = tenant_insert(:goal)

    rendered_goals = GoalView.render("index.json", goals: [goal1, goal2])

    assert rendered_goals == %{
      goals: [GoalView.goal_json(goal1), GoalView.goal_json(goal2)]
    }
  end

  test "show.json" do
    goal = tenant_insert(:goal)

    rendered_goal = GoalView.render("show.json", goal: goal)

    assert rendered_goal == %{
      goal: GoalView.goal_json(goal)
    }
  end

end
