defmodule OgpEuskadiWeb.ErrorViewTest do
  use OgpEuskadiWeb.ConnCase, async: true

  # Bring render/3 and render_to_string/3 for testing custom views
  import Phoenix.View

  test "renders 404.html", %{conn: conn} do
    # Add conn params used in the view
    conn = conn |> assign(:locale, "es")
    conn = conn |> Map.merge(%{private: Map.merge(conn.private, %{phoenix_endpoint: OgpEuskadiWeb.Endpoint})})

    page_content = render_to_string(OgpEuskadiWeb.ErrorView, "404.html", conn: conn)
    assert String.contains?(page_content, "La página solicitada no existe.")
    assert String.contains?(page_content, "Consultar la página de inicio")
  end

  test "renders 500.html", %{conn: conn} do
    # Add conn params used in the view
    conn = conn |> Map.merge(%{private: Map.merge(conn.private, %{phoenix_endpoint: OgpEuskadiWeb.Endpoint})})

    page_content = render_to_string(OgpEuskadiWeb.ErrorView, "500.html", conn: conn)
    assert String.contains?(page_content, "Ha ocurrido un error técnico")
    assert String.contains?(page_content, "Consultar la página de inicio")
  end
end
